package com.fs.company.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyUser;
import com.fs.company.domain.CompanyWxClient;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 添加个微信账号Mapper接口
 * 
 * @author fs
 * @date 2024-12-09
 */
public interface CompanyWxClientMapper extends BaseMapper<CompanyWxClient> {
    /**
     * 查询添加个微信账号
     * 
     * @param id 添加个微信账号ID
     * @return 添加个微信账号
     */
    public CompanyWxClient selectCompanyWxClientById(Long id);

    /**
     * 查询添加个微信账号列表
     * 
     * @param companyWxClient 添加个微信账号
     * @return 添加个微信账号集合
     */
    public List<CompanyWxClient> selectCompanyWxClientList(CompanyWxClient companyWxClient);
    public List<CompanyWxClient> selectCompanyWxClientListCompany(CompanyWxClient companyWxClient);

    /**
     * 新增添加个微信账号
     * 
     * @param companyWxClient 添加个微信账号
     * @return 结果
     */
    public int insertCompanyWxClient(CompanyWxClient companyWxClient);

    /**
     * 修改添加个微信账号
     * 
     * @param companyWxClient 添加个微信账号
     * @return 结果
     */
    public int updateCompanyWxClient(CompanyWxClient companyWxClient);

    /**
     * 删除添加个微信账号
     * 
     * @param id 添加个微信账号ID
     * @return 结果
     */
    public int deleteCompanyWxClientById(Long id);

    /**
     * 批量删除添加个微信账号
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyWxClientByIds(Long[] ids);

    List<CompanyWxClient> toDayAddWxAccountList(@Param("companyId") Long companyId, @Param("accountId") Long accountId, @Param("addType") Integer addType);

    CompanyUser selectCompanyByAccountId(@Param("wxId") Long wxId);

    List<CompanyWxClient> listCompanyIds(@Param("ids") String[] ids);
}
